package cc.smtweb.system.bpm.web.engine.flow;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.db.EntityHelper;
import cc.smtweb.framework.core.db.cache.ModelTableCache;
import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.framework.core.mvc.service.AbstractCompProvider;
import cc.smtweb.framework.core.mvc.service.SqlNamedPara;
import cc.smtweb.system.bpm.web.design.form.ModelForm;
import cc.smtweb.system.bpm.web.design.form.ModelFormHelper;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;
import cc.smtweb.system.bpm.web.design.form.define.PageDatasets;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageHelper;

/**
 * Created by Akmm at 2022/5/26 18:40
 * 工作流数据提供者
 */
public class FlowProvider extends AbstractCompProvider {

    //获取FlowInstance
    public FlowInstance findFlowInstance(String pageId, long us) {
        return doGetData("p_" + pageId, () -> {
            ModelForm form = ModelFormHelper.getFromCache(pageId);
            if (form == null || form.getBillType() <= 0L) return null;
            return null;
        });
    }


}
